%global debug_package %{nil}

Name:       zellij
Version:    0.42.2
Release:    1%{?dist}
Summary:    A terminal workspace with batteries included.

License:    MIT
URL:        https://github.com/zellij-org/zellij
Source0:    %{url}/archive/refs/tags/v%{version}/%{name}-%{version}.tar.gz

BuildRequires: cargo >= 1.39
BuildRequires: rust >= 1.39
BuildRequires: gcc
BuildRequires: python3-devel
BuildRequires: cmake
BuildRequires: openssl-devel
BuildRequires: perl-devel
BuildRequires: openssl-perl
BuildRequires: perl-FindBin
BuildRequires: perl-IPC-Cmd

%description
Zellij is a workspace aimed at developers, ops-oriented people and anyone
who loves the terminal. At its core, it is a terminal multiplexer (similar
to tmux and screen), but this is merely its infrastructure layer. 
Zellij includes a layout system, and a plugin system allowing one to create
plugins in any language that compiles to WebAssembly.

%prep
%autosetup -p1

%install
export CARGO_PROFILE_RELEASE_BUILD_OVERRIDE_OPT_LEVEL=3
cargo install --root=%{buildroot}%{_prefix} --path=.

rm -f %{buildroot}%{_prefix}/.crates.toml \
    %{buildroot}%{_prefix}/.crates2.json
strip --strip-all %{buildroot}%{_bindir}/*

%files
%license LICENSE.md
%doc README.md
%{_bindir}/zellij

%changelog
* Sat Apr 26 2025 Patrick Laimbock <patrick@laimbock.com> - 0.42.2
- update to version 0.42.2

* Sun Apr 13 2025 Patrick Laimbock <patrick@laimbock.com> - 0.42.1
- update to version 0.42.1

* Thu Mar 20 2025 Patrick Laimbock <patrick@laimbock.com> - 0.42.0
- update to version 0.42.0

* Sun Feb 02 2025 Patrick Laimbock <patrick@laimbock.com> - 0.41.2
- update to version 0.41.2
- based on https://copr.fedorainfracloud.org/coprs/varlad/zellij/
